OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000830OMNeT++simulation kernelpublic2015-06-18 14:202015-06-19 09:43
Reportertill 
Assigned Toandras 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0b1 
Target VersionFixed in Version5.0b2 
Summary0000830: kernel crashes when adding // to parameter in ini-file
DescriptionWhen accidentally using // instead of # to make comments in the ini file the simulation crashes when parsing the parameter. Also the editor in the IDE does not detect the error.

// in parameter should trigger an error-messages both in the IDE as well as the simulation.
Steps To Reproducesimply add "//Test" in the .ini file after a parameter.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001051)
andras (administrator)
2015-06-19 09:37

Good catch, thanks! The problem is in the expression parser, '//' handling was accidentally left in there while the code was derived from the NED parser long ago.

To fix it, edit src/sim/expr.lex, and remove the line

"//" { comment(); }

as well as the definition of the comment() function.

Same bug in src/common/expression.lex.

- Issue History
Date Modified Username Field Change
2015-06-18 14:20 till New Issue
2015-06-19 09:37 andras Note Added: 0001051
2015-06-19 09:38 andras Status new => resolved
2015-06-19 09:38 andras Fixed in Version => 5.0b2
2015-06-19 09:38 andras Resolution open => fixed
2015-06-19 09:38 andras Assigned To => andras
2015-10-12 09:28 ammmar1988 Issue cloned: 0000844


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker